6.0.0-git
2019-03-18

[#10495] Remove non-existant parent folder after removing sub-folder
Summary Remove non-existant parent folder after removing sub-folder
Queue IMP
Queue Version Git master
Type Bug
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jan (at) horde (dot) org
Created 2011-09-09 (2747 days ago)
Due
Updated 2011-09-12 (2744 days ago)
Assigned 2011-09-12 (2744 days ago)
Resolved 2011-09-12 (2744 days ago)
Milestone
Patch No

History
2011-09-12 01:18:24 Michael Slusarz State ⇒ Resolved
 
2011-09-12 01:17:55 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

Bug #10495:  Remove non-existent parent mailbox when removing last 
child mailbox in dynamic view

  3 files changed, 13 insertions(+), 5 deletions(-)
http://git.horde.org/horde-git/-/commit/ae953e644e5e1a2cb9902dda4da1ca7395be2481
2011-09-12 00:55:34 Michael Slusarz Comment #2
Assigned to Michael Slusarz
State ⇒ Assigned
Reply to this comment
Huh.  This used to work fine.
2011-09-09 11:08:30 Jan Schneider Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Remove non-existant parent folder after removing sub-folder
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
I've noticed, that after removing a subfolder of a non-existant parent 
folder, the parent folder is not removed. Obviously this can only 
happen on IMAP servers that support sub-folders without parent 
folders, like Cyrus.
You can create a folder Foo.Bar which won't create folder Foo. If you 
then remove Bar, Foo keeps in the folder tree until you reload.

Saved Queries